-- -------------------
--                  --
--    dm3heatmap    --
--                  --
-- -------------------
drop table if exists config;
create table config (
  bbiPath text not null,
  formatdb text not null,
  defaultTracks text not null,
  defaultMdcategory varchar(255) not null,
  defaultGenelist text not null,
  defaultCustombigwig varchar(255) not null,
  defaultCustombigbed varchar(255) not null,
  defaultCustombam varchar(255) not null,
  defaultPosition varchar(255) not null,
  defaultDecor0 text null,
  defaultDecor8 text null,
  defaultScaffold text not null,
  sampleHub text null,
  ideogram_wiggle1 varchar(255) null,
  ideogram_wiggle2 varchar(255) null,
  hasGene boolean not null,
  allowJuxtaposition boolean not null,
  keggSpeciesCode varchar(255) not null,
  information text not null,
  chromSizeFile varchar(255) not null
);
insert into config values(
-- "/srv/epgg/data/data/subtleKnife/dm3/",
-- "/srv/epgg/data/data/subtleKnife/blast/dm3",
"/home/xzhou/data/dm3/bbiFiles/",
"/home/xzhou/data/dm3/dm3",
"GSM461185_2,GSM621339_1,GSM461179_1,GSM432583_1,GSM686709_1,GSM575393_1,GSM627411_2,GSM847771_1,GSM627387_2,GSM575380_1,GSM461206_1,GSM627336_1,GSM520852_1,GSM847659_1,GSM669543_1,GSM451804_1,GSM333849_1,GSM621333_1,GSM624872_1,GSM853480_1,GSM575368_1,GSM927232_1,GSM408988_1,GSM520939_1,",
"Cell Line,Tissue,Assay,Institution",
"CYP4Z1\\nCYP2A7\\nCYP2A6\\nCYP3A4\\nCYP1A1\\nCYP4V2\\nCYP51A1\\nCYP2C19\\nCYP26B1\\nCYP11B2\\nCYP24A1\\nCYP4B1\\nCYP2C8",
"http://vizhub.wustl.edu/hubSample/dm3/1.gz",
"http://vizhub.wustl.edu/hubSample/dm3/bed.gz",
"http://vizhub.wustl.edu/hubSample/dm3/1_sorted.gz",
"chr2L,1,chr2L,1000000",
"refGene,3",
\N,
"chr2L,chr2R,chr3L,chr3R,chr4,chrX",
"http://vizhub.wustl.edu/hubSample/dm3/hub.txt",
\N,
\N,
true,
true,
"dme",
"Assembly version|dm3|Sequence source|<a href=http://hgdownload.cse.ucsc.edu/goldenPath/dm3/bigZips/ target=_blank>UCSC browser</a>|Date parsed|January 1, 2012|Chromosomes|8|Misc|7|Total bases|139,485,381|Logo art|<a href=http://imgs.sfgate.com/c/pictures/2006/06/30/mn_fruitflies30.jpg target=_blank>link</a>",
"/srv/epgg/data/data/subtleKnife/dm3.chromSize"
);


-- grouping types on genomic features
-- table name defined in macro: TBN_GF_GRP
drop table if exists gfGrouping;
create table gfGrouping (
  id TINYINT not null primary key,
  name char(50) not null
);
insert into gfGrouping values (2, "Genes");
-- insert into gfGrouping values (3, "non-coding RNA");
insert into gfGrouping values (4, "RepeatMasker");
-- insert into gfGrouping values (6, "Sequence conservation");
insert into gfGrouping values (5, "Others");


drop table if exists decorInfo;
create table decorInfo (
  name char(50) not null primary key,
  printname char(100) not null,
  parent char(50) null,
  grp tinyint not null,
  fileType tinyint not null,
  hasStruct tinyint null,
  queryUrl varchar(255) null
);

insert into decorInfo values('refGene','RefSeq genes',\N,2,0,1,'http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?cmd=Search&db=Nucleotide&doptcmdl=GenBank&term=');
insert into decorInfo values('refGenepromoter','promoters (RefSeq genes)','refGene',2,0,0,\N);
insert into decorInfo values('refGeneutr3',"3' UTRs (RefSeq genes)",'refGene',2,0,0,\N);
insert into decorInfo values('refGeneutr5',"5' UTRs (RefSeq genes)",'refGene',2,0,0,\N);
insert into decorInfo values('refGeneexons','exons (RefSeq genes)','refGene',2,0,0,\N);
insert into decorInfo values('refGeneintrons','introns (RefSeq genes)','refGene',2,0,0,\N);

insert into decorInfo values('ensGene','Ensembl genes',\N,2,0,1,'http://www.ensembl.org/Drosophila_melanogaster/geneview?gene=');
insert into decorInfo values('ensGenepromoter','promoters (Ensembl genes)','ensGene',2,0,0,\N);
insert into decorInfo values('ensGeneutr3',"3' UTRs (Ensembl genes)",'ensGene',2,0,0,\N);
insert into decorInfo values('ensGeneutr5',"5' UTRs (Ensembl genes)",'ensGene',2,0,0,\N);
insert into decorInfo values('ensGeneexons','exons (Ensembl genes)','ensGene',2,0,0,\N);
insert into decorInfo values('ensGeneintrons','introns (Ensembl genes)','ensGene',2,0,0,\N);

insert into decorInfo values('flyBaseGene','FlyBase genes',\N,2,0,1,'http://flybase.org/cgi-bin/quicksearch_solr.cgi?caller=quicksearch&tab=basic_tab&data_class=FBgn&context=');
insert into decorInfo values('flyBaseGenepromoter','promoters (FlyBase genes)','flyBaseGene',2,0,0,\N);
insert into decorInfo values('flyBaseGeneutr3',"3' UTRs (FlyBase genes)",'flyBaseGene',2,0,0,\N);
insert into decorInfo values('flyBaseGeneutr5',"5' UTRs (FlyBase genes)",'flyBaseGene',2,0,0,\N);
insert into decorInfo values('flyBaseGeneexons','exons (FlyBase genes)','flyBaseGene',2,0,0,\N);
insert into decorInfo values('flyBaseGeneintrons','introns (FlyBase genes)','flyBaseGene',2,0,0,\N);

insert into decorInfo values ('gc5Base','GC percent', \N,5, 8, 0,\N);


insert into decorInfo values ('DNA','DNA transposon',\N, 4, 0, 0,\N);
insert into decorInfo values ('DNAPogo','Pogo (DNA transposon)',"DNA", 4, 0, 0,\N);
insert into decorInfo values ('DNATc1','Tc1 (DNA transposon)',"DNA", 4, 0, 0,\N);
insert into decorInfo values ('DNAPiggyBac','PiggyBac (DNA transposon)',"DNA", 4, 0, 0,\N);
insert into decorInfo values ('DNAP','P (DNA transposon)',"DNA", 4, 0, 0,\N);
insert into decorInfo values ('DNAMariner','Mariner (DNA transposon)',"DNA", 4, 0, 0,\N);
insert into decorInfo values ('DNATransib','Transib (DNA transposon)',"DNA", 4, 0, 0,\N);
insert into decorInfo values ('DNAMuDR?','MuDR? (DNA transposon)',"DNA", 4, 0, 0,\N);
insert into decorInfo values ('DNAhAT','hAT (DNA transposon)',"DNA", 4, 0, 0,\N);

insert into decorInfo values ('LTR','LTR', \N,4, 0, 0,\N);
insert into decorInfo values ('LTRPao','Pao (LTR)', 'LTR',4, 0, 0,\N);
insert into decorInfo values ('LTRCopia','Copia (LTR)', 'LTR',4, 0, 0,\N);
insert into decorInfo values ('LTRLTR','LTR (LTR)', 'LTR',4, 0, 0,\N);
insert into decorInfo values ('LTRGypsy','Gypsy (LTR)', 'LTR',4, 0, 0,\N);

insert into decorInfo values ('LINE','LINE', \N,4, 0, 0,\N);
insert into decorInfo values ('LINEJockey','Jockey (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINELOA','LOA (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINEComposite','Composite (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINER1','R1 (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINER2','R2 (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINEI','I (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINEtelomeric','telomeric (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINECR1','CR1 (LINE)', "LINE",4, 0, 0,\N);
insert into decorInfo values ('LINEPenelope','Penelope (LINE)', "LINE",4, 0, 0,\N);

insert into decorInfo values ('Low_complexity','low complexity', \N,4, 0, 0,\N);
insert into decorInfo values ('Other','other repeats', \N,4, 0, 0,\N);
insert into decorInfo values ('RC','RC repeats', \N,4, 0, 0,\N);
insert into decorInfo values ('Simple_repeat','simple repeat', \N,4, 0, 0,\N);
insert into decorInfo values ('Unknown','unknown', \N,4, 0, 0,\N);
insert into decorInfo values ('RNA','RNA repeats', \N,4, 0, 0,\N);
insert into decorInfo values ('rRNA','rRNA repeats', \N,4, 0, 0,\N);

insert into decorInfo values ('Satellite','satellite', \N,4, 0, 0,\N);
insert into decorInfo values ('SatelliteSatellite','Satellite (satellite)', "Satellite",4, 0, 0,\N);
insert into decorInfo values ('Satellitecentr','centr (satellite)', "Satellite",4, 0, 0,\N);
insert into decorInfo values ('Satelliteacro','acro (satellite)', "Satellite",4, 0, 0,\N);
insert into decorInfo values ('Satellitetelo','telo (satellite)', "Satellite",4, 0, 0,\N);


drop table if exists decorTrackselectiongrid;
create table decorTrackselectiongrid (
  groupname varchar(255) not null primary key,
  row_terms varchar(255) not null,
  col_terms varchar(255) not null
);

drop table if exists decorAssaytrack;
create table decorAssaytrack (
  tkname varchar(255) not null primary key,
  filetype tinyint unsigned not null
);

drop table if exists decorDefaultparam;
create table decorDefaultparam (
  tkname varchar(255) not null primary key,
  defaultparam text not null
);
load data local infile 'decorDefaultparam' into table decorDefaultparam;





drop table if exists track2Label;
create table track2Label (
  name varchar(255) not null primary key,
  label text null
);
load data local infile 'track2Label' into table track2Label;

drop table if exists track2ProcessInfo;
create table track2ProcessInfo (
  name varchar(255) not null primary key,
  detail text null
);
load data local infile 'track2ProcessInfo' into table track2ProcessInfo;

drop table if exists track2BamInfo;
create table track2BamInfo (
  name varchar(255) not null,
  bamfile varchar(255) not null,
  bamfilelabel varchar(255) not null
);
load data local infile "track2BamInfo" into table track2BamInfo;

drop table if exists track2Detail;
create table track2Detail (
  name varchar(255) not null primary key,
  detail text null
);
load data local infile 'track2Detail' into table track2Detail;

drop table if exists track2GEO;
create table track2GEO (
  name varchar(255) not null primary key,
  geo char(20) not null
);
load data local infile 'track2GEO' into table track2GEO;

drop table if exists track2Ft;
create table track2Ft (
  name varchar(255) not null primary key,
  ft tinyint not null
);
load data local infile "track2Ft" into table track2Ft;

drop table if exists track2VersionInfo;
create table track2VersionInfo (
  name varchar(255) not null primary key,
  info varchar(255) not null
);
load data local infile 'track2VersionInfo' into table track2VersionInfo;

-- new trackDetail end here

drop table if exists track2Annotation;
create table track2Annotation (
  name varchar(255) not null primary key,
  attridx varchar(255) not null
);
load data local infile "track2Annotation" into table track2Annotation;

drop table if exists metadataVocabulary;
create table metadataVocabulary (
  child varchar(255) not null,
  parent varchar(255) not null
);
load data local infile "metadataVocabulary" into table metadataVocabulary;

drop table if exists trackAttr2idx;
create table trackAttr2idx (
  idx varchar(255) not null primary key,
  attr varchar(255) not null,
  note varchar(255) null,
  description text null
);
load data local infile "trackAttr2idx" into table trackAttr2idx;


drop table if exists tempURL;
create table tempURL (
  session varchar(100) not null,
  offset INT unsigned not null,
  urlpiece text not null
);

drop table if exists dataset;
create table dataset (
  tablename varchar(255) not null,
  logo varchar(255) null,
  name varchar(255) not null,
  url varchar(255) null,
  description text not null
);
load data local infile "dataset" into table dataset;

/*
drop table if exists mock;
create table mock (
  tkname varchar(255) not null
);
load data local infile "mock" into table mock;
*/

drop table if exists modencode;
create table modencode (
  tkname varchar(255) not null
);
load data local infile "modencode" into table modencode;

/*
drop table if exists geocollection;
create table geocollection (
  tkname varchar(255) not null
);
load data local infile "geocollection" into table geocollection;
*/

drop table if exists scaffoldInfo;
create table scaffoldInfo (
  parent varchar(255) not null,
    child varchar(255) not null,
      childLength int unsigned not null
      );
      load data local infile "scaffoldInfo" into table scaffoldInfo;


drop table if exists cytoband;
create table cytoband (
  id int null auto_increment primary key,
  chrom char(20) not null,
  start int not null,
  stop int not null,
  name char(20) not null,
  colorIdx int not null
);
load data local infile "cytoband" into table cytoband;


/*
DROP TABLE IF EXISTS `rmsk`;
CREATE TABLE `rmsk` (
  `bin` smallint(5) unsigned NOT NULL default '0',
  `swScore` int(10) unsigned NOT NULL default '0',
  `milliDiv` int(10) unsigned NOT NULL default '0',
  `milliDel` int(10) unsigned NOT NULL default '0',
  `milliIns` int(10) unsigned NOT NULL default '0',
  `genoName` varchar(255) NOT NULL default '',
  `genoStart` int(10) unsigned NOT NULL default '0',
  `genoEnd` int(10) unsigned NOT NULL default '0',
  `genoLeft` int(11) NOT NULL default '0',
  `strand` char(1) NOT NULL default '',
  `repName` varchar(255) NOT NULL default '',
  `repClass` varchar(255) NOT NULL default '',
  `repFamily` varchar(255) NOT NULL default '',
  `repStart` int(11) NOT NULL default '0',
  `repEnd` int(11) NOT NULL default '0',
  `repLeft` int(11) NOT NULL default '0',
  `id` char(1) NOT NULL default '',
  KEY `genoName` (`genoName`(14),`bin`)
);
load data local infile 'rmsk.txt' into table rmsk;
*/
